Skip to main content
GET
https://almanac-backend-83vc.onrender.com
/
v1
/
wikis
/
{wiki_id}
/
pages
/
{page_path}
/
sources
Page Sources
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/pages/{page_path}/sources \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/pages/{page_path}/sources"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/pages/{page_path}/sources', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "created_at": "<string>",
    "job_id": "<string>",
    "key": "<string>",
    "note": "<string>",
    "original_filename": "<string>",
    "page_id": "<string>",
    "path": "<string>",
    "source_id": "<string>",
    "title": "<string>"
  }
]
{
  "error": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wiki_id
string
required
page_path
string
required

Response

Successful Response

created_at
string
required
job_id
string | null
required
key
string
required
note
string
required
original_filename
string
required
page_id
string
required
path
string
required
source_id
string
required
title
string
required